---------------------------------------------------------------------------------
-- INITIALISE_Level. Standard level event
---------------------------------------------------------------------------------

function EVENTINITIALISE_Level()
	-- load the building and business file
	-- load the initialprefs file
	C_RunScript("scripts\\scenario4\\initialpref.lua");

----------------------------------------------------------------
-- Choose one of the following to be the objective for the level
----------------------------------------------------------------

--				 add ,0 if not game over if all are dead

	Game.SetObjective(OBJECTIVE_SALES, 100, 0);

--				No	Day	Hour Min

	if Game.GetDifficulty() == DIFFICULTY_EASY then
		RegisterPrompt(1, 1, 09, 30);
		RegisterPrompt(2, 1, 11, 00);
		RegisterPrompt(3, 1, 16, 05);
		RegisterPrompt(4, 1, 18, 15);
		RegisterPrompt(5, 1, 21, 00);
		RegisterPrompt(6, 1, 23, 30);
		RegisterPrompt(7, 2, 00, 30);
		RegisterPrompt(8, 2, 02, 00);
		RegisterPrompt(9, 2, 06, 00);
	end;
	
end;

---------------------------------------------------------------------------------
-- Level. Standard level event.
---------------------------------------------------------------------------------
function EVENT_Level()
end;

function EVENT_CreatePrompt(a)
   PromptHeading = ID_TIP_PROMPT_4_TITLE_1 + ((a-1)*2);
	body = PromptHeading+1;

	if a == 1 then
		Interface.CreatePrompt( PromptHeading, body, 1 ); --"Tip - Housing", "None of the citizens have anywhere to live; they are all commuting into the city. You must build apartments for them before they can start shopping.", 1);
	elseif a == 2 then
		Interface.CreatePrompt( PromptHeading, body, 1 ); --"Tip - Prestige", "Did you know that lower prestige blocks are cheaper to build on? Go to 'City View Information' and click on the 'Prestige' button. This shows you the prestige of each of the city blocks.", 1);
	elseif a == 3 then
		Interface.CreatePrompt( PromptHeading, body, 1 ); --"Tip - Night Time", "If you haven't done so already, now would be a good time to think about building up an area for night shopping. The citizens will need entertainment tonight.", 1);
	elseif a == 4 then
		Interface.CreatePrompt( PromptHeading, body, 1 ); --"Tip - Day and Night", "Usually it is best to put daytime stores on one city block and nighttime entertainment on another. This allows you to get more stores open at the same time of day - increasing the chance of citizens being drawn to the area.", 1);
	elseif a == 5 then
		Interface.CreatePrompt( PromptHeading, body, 1 ); --"Tip - Efficiency", "You can check on how well your stores are doing by selecting the block that they are on, then, under 'Information', you can click on 'Efficiency'. This shows how many units the store has sold compared to how many the store can hold.", 1);
	elseif a == 6 then
		Interface.CreatePrompt( PromptHeading, body, 1 ); --"Tip - Time", "If you watch the clock area you will see that the date advances by five years at the stroke of midnight. In Monoply Tycoon, one day equals five years.", 1);
	elseif a == 7 then
		Interface.CreatePrompt( PromptHeading, body, 1 ); --"Tip - Stores are Closed", "All of your stores are now closed and we have moved on to the next day. You can check on yesterday's numbers by clicking the 'Yesterday/Today' toggle wherever you see it in the 'Multi Purpose Panel'.", 1);
	elseif a == 8 then
		Interface.CreatePrompt( PromptHeading, body, 1 ); --"Tip - Time Flies", "Unless you want to tinker with your businesses some more, you can speed up time by holding down Shift Q. Release the keys to get back to normal time.", 1);
	elseif a == 9 then
		Interface.CreatePrompt( PromptHeading, body, 1 ); --"Tip - 6:00am Payout", "As you may already know, at six o'clock every morning, all of your stores are restocked, pay their land rent and utility bills. Your bank balance will drop when this happens. If you own apartments, all of your tenants pay their rent at this time of day too. If you have lots of apartments your bank balance can actually go up!", 1);
	end
	Game.Pause()
end;


-------------------------------------------------------------------------------------------------
-- Level. Standard level event.
-------------------------------------------------------------------------------------------------
function EVENT_Level()
end;

function CATCHEVENT_InterfacePromptDismiss() -- takes the current hour as an argument
	Game.Unpause()
end;

